from _Framework.ControlSurfaceComponent import ControlSurfaceComponent

import diagnostic

class ParameterSlot(ControlSurfaceComponent):
    def __init__(self, *a, **k):
        super(ParameterSlot, self).__init__(*a, **k)

        self._parameterValueSlot = self.register_slot(None, self.onParameterChanged, 'value')

    def update(self):
        pass

    def onParameterChanged(self, value):
        diagnostic.logMessage("Received value: " + str(value))

    def setButton(self, button):
        self._parameterValueSlot.subject = button
